gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [libebics] branch master updated: Testing.


From: gnunet
Subject: [GNUnet-SVN] [libebics] branch master updated: Testing.
Date: Thu, 25 Oct 2018 12:34:40 +0200

This is an automated email from the git hooks/post-receive script.

marcello pushed a commit to branch master
in repository libebics.

The following commit(s) were added to refs/heads/master by this push:
     new 9a60ab6  Testing.
9a60ab6 is described below

commit 9a60ab643bef54831d9cccbfde4e3ff7210bf323
Author: Marcello Stanisci <address@hidden>
AuthorDate: Thu Oct 25 12:31:46 2018 +0200

    Testing.
    
    Writing instructions and a script to test XML by the command line
    (using 'curl').
---
 src/{readme_tests.txt => README_tests.txt} |  2 ++
 src/post_xml.sh                            | 15 +++++++++++++++
 2 files changed, 17 insertions(+)

diff --git a/src/readme_tests.txt b/src/README_tests.txt
similarity index 63%
rename from src/readme_tests.txt
rename to src/README_tests.txt
index def2bdb..de86f33 100644
--- a/src/readme_tests.txt
+++ b/src/README_tests.txt
@@ -1,3 +1,5 @@
+
 1 'make install check' ('check' will only compile the test)
 2 export the EBICS_PREFIX env variable
 3 run test manually: './sandbox_tests'
+4 run './post_xml.sh' passing the ".xml" file(s) generated at the step above
diff --git a/src/post_xml.sh b/src/post_xml.sh
new file mode 100755
index 0000000..61fb6ff
--- /dev/null
+++ b/src/post_xml.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+if test -z $1 ; then
+  echo Give XML filename at param 1
+  exit 1
+fi
+
+URL="https://ebics.ubs-paymentstandards.ch/ebics/EbicsServlet";
+
+curl \
+  address@hidden \
+  -H"Content-Type: text/xml" \
+  -H"Expect:" \
+  -v \
+  $URL

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]